import fs from 'fs-extra';
export const downloadFromS3 = ({ key, to, awsBucket, s3, }) => {
    return new Promise((resolve, reject) => {
        const fileStream = fs.createWriteStream(to);
        const s3Stream = s3
            .getObject({
            Bucket: awsBucket,
            Key: key,
        })
            .createReadStream();
        s3Stream.on('error', (e) => {
            fileStream.destroy();
            reject(e);
        });
        fileStream.on('error', (e) => {
            s3Stream.destroy();
            reject(e);
        });
        fileStream.on('close', resolve);
        s3Stream.pipe(fileStream);
    });
};
